package com.xingxi.business.PopularProd.service;

import com.xingxi.business.PopularProd.domain.PopularProd;

import java.util.List;

/**
 * 今日热门Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IPopularProdService {
    /**
     * 查询今日热门
     *
     * @param id 今日热门主键
     * @return 今日热门
     */
    PopularProd selectPopularProdById(Long id);

    /**
     * 查询今日热门列表
     *
     * @param popularProd 今日热门
     * @return 今日热门集合
     */
    List<PopularProd> selectPopularProdList(PopularProd popularProd);

    /**
     * 新增今日热门
     *
     * @param popularProd 今日热门
     * @return 结果
     */
    int insertPopularProd(PopularProd popularProd);

    /**
     * 新增今日热门
     *
     * @param popularProdList 今日热门
     * @return 结果
     */
    int batchInsertPopularProd(List<PopularProd> popularProdList);

    /**
     * 修改今日热门
     *
     * @param popularProd 今日热门
     * @return 结果
     */
    int updatePopularProd(PopularProd popularProd);

    /**
     * 批量删除今日热门
     *
     * @param ids 需要删除的今日热门主键集合
     * @return 结果
     */
    int deletePopularProdByIds(String ids);

    /**
     * 删除今日热门信息
     *
     * @param id 今日热门主键
     * @return 结果
     */
    int deletePopularProdById(Long id);

    /**
     * 逻辑删除今日热门
     *
     * @param id 今日热门主键
     * @return 结果
     */
    int logicDeletePopularProdById(Long id);

    /**
     * 逻辑批量删除今日热门
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeletePopularProdByIds(String[] ids);

    /**
     * 逻辑批量删除今日热门
     *
     * @param popularProd 今日热门
     * @return 结果
     */
    int logicDeletePopularProdByCondition(PopularProd popularProd);
}
